# MySQL dump 8.14
#
# Host: localhost    Database: hlr
#--------------------------------------------------------
# Server version	3.23.38

#
# Table structure for table 'vodesc'
#

CREATE TABLE vodesc (
  vo_id varchar(128) NOT NULL default '',
  descr BLOB default NULL,
  total int(11) default NULL,
  spent int(11) default NULL,
  PRIMARY KEY  (vo_id)
) TYPE=MyISAM;

#
# Dumping data for table 'vodesc'
#


#
# Table structure for table 'group_vo'
#

CREATE TABLE group_vo (
  vo_id varchar(128) NOT NULL default '',
  gid varchar(128) NOT NULL default '',
  total int(11) default NULL,
  booked int(11) default NULL,
  spent int(11) default NULL,
  PRIMARY KEY  (vo_id,gid)
) TYPE=MyISAM;

#
# Dumping data for table 'group_vo'
#


#
# Table structure for table 'grdesc'
#

CREATE TABLE grdesc (
  gid varchar(128) NOT NULL default '',
  descr varchar(160) default NULL,
  PRIMARY KEY  (gid)
) TYPE=MyISAM;

#
# Dumping data for table 'grdesc'
#


#
# Table structure for table 'resource_group_vo'
#

CREATE TABLE resource_group_vo (
  rid varchar(128) NOT NULL default '',
  gid varchar(128) default NULL,
  vo_id varchar(128) default NULL,
  total int(11) default NULL,
  wall_time int(11) default NULL,
  cpu_time int(11) default NULL,
  job_number int(11) default NULL,
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table 'resource_group_vo'
#



CREATE TABLE trans_in (
  tid int(11) NOT NULL auto_increment,
  rid varchar(128) default NULL,
  gid varchar(128) default NULL,
  from_dn varchar(160) default NULL,
  from_url varchar(160) default NULL,
  amount int(11) default NULL,
  tr_stamp varchar(12) NOT NULL,   
  dg_jobid varchar(160) default NULL,
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

CREATE TABLE transInLog (
  dgJobId varchar(160) NOT NULL,
  log blob NOT NULL,
  PRIMARY KEY  (dgJobId)
) TYPE=MyISAM;

CREATE TABLE transInInfo (
  dgJobId varchar(160) NOT NULL,
  tType varchar(160), 
  userFqan varchar(160), 
  userVO varchar(80), 
  jobStart int(11), 
  jobURCreation varchar(32),
  resourceTimeZone varchar(8), 
  PRIMARY KEY (dgJobId)
) TYPE=MyISAM;


CREATE TABLE trans_out (
  tid int(11) NOT NULL auto_increment,
  uid varchar(128) default NULL,
  gid varchar(128) default NULL,
  to_dn varchar(160) default NULL,
  to_url varchar(160) default NULL,
  amount int(11) default NULL,
  tr_stamp varchar(12) NOT NULL,
  dg_jobid varchar(160) default NULL,
  PRIMARY KEY  (tid)
) TYPE=MyISAM;


CREATE TABLE transOutLog (
  dgJobId varchar(160) NOT NULL,
  log blob NOT NULL,
  PRIMARY KEY  (dgJobId)
) TYPE=MyISAM;

CREATE TABLE transOutInfo (
  dgJobId varchar(160) NOT NULL,
  tType varchar(160), 
  userFqan varchar(160), 
  userVO varchar(80), 
  jobStart int(11), 
  jobURCreation varchar(32),
  resourceTimeZone varchar(8), 
  PRIMARY KEY (dgJobId)
) TYPE=MyISAM;

# Table structure for table 'acctdesc'
#

CREATE TABLE acctdesc (
  id varchar(128) NOT NULL default '',
  a_type varchar(128) default NULL,
  email varchar(128) default NULL,
  descr varchar(128) default NULL,
  cert_subject blob default NULL,
  acl blob default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


# Table structure for table 'ug'
#

CREATE TABLE user_group_vo (
  uid varchar(128) NOT NULL default '',
  gid varchar(128) NOT NULL default '',
  vo_id varchar(128) NOT NULL default '',
  assigned int(11) default NULL,
  booked int(11) default NULL,
  spent int(11) default NULL,
  wall_time int(11) default NULL,
  cpu_time  int(11) default NULL,
  job_number int(11) default NULL,
  PRIMARY KEY  (uid,gid)
) TYPE=MyISAM;

#
# Dumping data for table 'ug'
#

CREATE TABLE jobAuth (
  seqNumber int(11) NOT NULL auto_increment,
  dgJobId varchar(160) NOT NULL,
  usrCert blob NOT NULL,
  submTime int(11) NOT NULL,
  PRIMARY KEY  (seqNumber)
) TYPE=MyISAM;

CREATE TABLE hlrAdmin (
  acl blob NOT NULL,
  PRIMARY KEY (acl(255))
) TYPE=MyISAM;

CREATE TABLE voAdmin (
  vo_id varchar(160) NOT NULL,
  acl blob NOT NULL,
  PRIMARY KEY (vo_id,acl(255))
) TYPE=MyISAM;

CREATE TABLE groupAdmin (
  gid varchar(128) NOT NULL,
  acl blob NOT NULL,
  PRIMARY KEY (gid,acl(255))
) TYPE=MyISAM;

