// $Id: hlrTransaction.h,v 1.5.4.1 2005/11/18 09:21:08 aguarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#ifndef HLR_TRANSACTION_H
#define HLR_TRANSACTION_H


#include<string>
#include<iostream>
#include<sstream>
#include<vector>
// #include<map>
#include"glite/dgas/hlr-service/base/hlrResource.h"
#include"glite/dgas/hlr-service/base/hlrUser.h"
#include"glite/dgas/hlr-service/base/hlrVO.h"
#include"glite/dgas/hlr-service/base/hlrTransIn.h"
#include"glite/dgas/hlr-service/base/hlrTransOut.h"
#include"glite/dgas/hlr-service/base/hlrUsageRecords.h"
#include"glite/dgas/common/hlr/dgas_urwg.h"
#include"glite/dgas/common/base/libdgas_log.h"

using namespace std;

using namespace glite::workload::dgas::common;


class hlrTransaction {
	public:

		typedef enum type{out,
			in,
			nd,
			URWGOut,
			URWGIn,
			NoProxyOut,
			NoProxyIn};

		int tid;
		type   tType;  //Mandatory!!!
		string id;
		string fromId;
		string toId;
		string fromHlrUrl;
		string toHlrUrl;
		int amount;
		string timeStamp;
		string logData;

		connInfo connectionInfo;

		hlrTransaction ( int _tid = 0,
			        type _tType = nd,	
				string _id = "",
				string _fromId = "",
				string _toId = "",
				string _fromHlrUrl = "",
				string _toHlrUrl = "",
				int _amount=0,
				string _timeStamp="",
				string _logData=""
			       );


		int get();	//plain get method
		int get(vector<hlrTransaction>& tv);//get item matchin with proper object
		int getKeys(vector<int>& keys); //ket in and out keys matching with proper objects
		int friend getJobId(hlrTransaction::type transType,
				    // map<string,string> &logEntries,
				    vector<string> &logEntries,
				    string &jobIdResult,
				    string &accountingProcedure);
		int put();
		int friend makeObsolete(hlrTransaction::type transType,
					string &jobId);
		int del();
		int del(int& start, int& end); //delete range of entries
		bool exists(); //report if the given transaction exists or not.

		int process();// process the transaction and credit/debit the 
			      // account.

friend ostream& operator << ( ostream& os, const hlrTransaction& tr );

	private:
		int getIn();	//plain get method
		int getKeysIn(vector<int>& keys); //ket in and out keys matching with proper objects
                int friend getJobIdIn(// map<string,string> &logEntries,
				      vector<string> &logEntries,
				      string &jobIdResult,
				      string &accountingProcedure);
		int getOut();	//plain get method
		int getKeysOut(vector<int>& keys); //ket in and out keys matching with proper objects
                int friend getJobIdOut(// map<string,string> &logEntries,
				       vector<string> &logEntries,
				       string &jobIdResult,
				       string &accountingProcedure);
		int putIn();
		int putOut();
		int delIn();
		int delOut();
		bool existsIn();
		bool existsOut();
		bool isIn(string& acctType);
		bool isOut(string& acctType);
		int processIn(string& acctType);
		int processOut(string& acctType);
		
};

#endif
