// $Id: hlrUser.h,v 1.1 2004/10/11 13:02:42 gpatania Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRUSER
#define HLRUSER

#include<string>
#include<iostream>
#include<sstream>
#include"glite/dgas/common/base/comm_struct.h" //FIXME this is in common and should be moved in interface
#include"glite/dgas/hlr-service/base/hlrAcctdesc.h"
#include"glite/dgas/hlr-service/base/hlrUserGroupVO.h"
#include"glite/dgas/hlr-service/base/hlrUsageRecords.h"
#include"glite/dgas/hlr-service/base/hlrAdmin.h"

using namespace std;

class hlrUser {
	public:
		string uid;//db primary key
		string gid;
		string vo_id;
		string email;
		string descr;
		string certSubject;

		connInfo connectionInfo;

		int assigned;
		int booked;
		int spent;

		hlrUsageRecords ur;

		hlrUser(string _uid = "",
			        string _gid= "",	
			        string _vo_id= "",	
				string _email= "",
				string _descr= "",
				string _certSubject = "",
				int _assigned = 0,
				int _booked = 0,
				int _spent = 0
				);


		int get (); //gets user info from uid || gid || email || certSubject
		int get (vector<hlrUser>& uv);// gets every matching record

		int put (); //dumb put, doesn't do any check, replace info 
			    //if present! Remember to create the user group 
			    //before inserting the user(no check is performed
			    //at this level wether the group description 
			    //exists or not!). (It tries to roll back the DB
			    //if something goes wrong).

		int del (); //dumb delete

		bool exists ();//try guessing what it does!

		int getKeys (vector<string>& keys);//get matching keys
		
		int addUsageRecords (hlrUsageRecords _ur);
		int credit (int v);
		int debit (int v);

friend ostream& operator << ( ostream& os, const hlrUser& u );		
};


#endif
