#!/bin/bash

PREFIX=${GLITE_LOCATION}

if [ -z ${GLITE_LOCATION} ]; then
    echo "Please set the GLITE_LOCATION environment variable."
    exit 1
fi

CONFFILE=$PREFIX/etc/glite-dgas-convertDGAS2APEL.conf

if [ -z $CONFFILE ]; then
    echo "Configuration file $CONFFILE does not exist."
    exit 1
fi


DB_SERVER=`grep CONV_DB_SERVER $CONFFILE | grep "^#" -v | sed -e "s/CONV_DB_SERVER\s*=\s*\"\(.*\)\"/\1/"`
DB_PORT=`grep CONV_DB_PORT $CONFFILE | grep "^#" -v | sed -e "s/CONV_DB_PORT\s*=\s*\"\(.*\)\"/\1/"`
DB_NAME=`grep CONV_DB_NAME $CONFFILE | grep "^#" -v | sed -e "s/CONV_DB_NAME\s*=\s*\"\(.*\)\"/\1/"`
DB_USER=`grep CONV_DB_USER $CONFFILE | grep "^#" -v | sed -e "s/CONV_DB_USER\s*=\s*\"\(.*\)\"/\1/"`
DB_PASSWORD=`grep CONV_DB_PASSWORD $CONFFILE | grep "^#" -v | sed -e "s/CONV_DB_PASSWORD\s*=\s*\"\(.*\)\"/\1/"`

#echo "mysqladmin -f --host=$DB_SERVER --port=$DB_PORT -u $DB_USER --password=$DB_PASSWORD drop $DB_NAME"
mysqladmin -f --host=$DB_SERVER --port=$DB_PORT -u $DB_USER --password=$DB_PASSWORD drop $DB_NAME
